Ubuntu 系统内核发现拒绝服务或执行任意代码漏洞,需尽快升级

Ubuntu 是一个以桌面应用为主的 Linux 操作系统。它是一个开放源代码的自由软件,提供了一个健壮、功能丰富的计算环境,既适合家庭使用又适用于商业环境。Ubuntu 为全球数百个公司提供商业支持。

12 月 2 日,Ubuntu 发布了安全更新 , 修复了系统内核拒绝服务、执行任意代码等重要漏洞。以下是漏洞详情:

漏洞详情

来源:https://ubuntu.com/security/notices/USN-4658-1

1.CVE-2020-0423 CVSS 评分:7.8 高

Linux 内核中的 binder IPC 实现中存在竞争条件,导致释放后使用漏洞。本地攻击者可利用此漏洞造成拒绝服务(系统崩溃)或可能执行任意代码。

2.CVE-2020-25645 CVSS 评分:7.5 高

Linux 内核中的 GENEVE 隧道实现与 IPSec 结合时,在某些情况下没有正确选择 IP 路由。攻击者可以利用此漏洞暴露敏感信息(未加密的网络流量)。

3.CVE-2020-25643 CVSS 评分:7.2 高

Linux 内核中的 hdlcppp 实现在某些情况下无法正确验证输入。本地攻击者可利用此漏洞造成拒绝服务(系统崩溃)或可能执行任意代码。

4.CVE-2020-25211 CVSS 评分:6.0 中

Linux 内核中 netlink 的 netfilter 连接跟踪器在某些情况下没有正确地执行边界检查。本地攻击者可利用此漏洞造成拒绝服务(系统崩溃)

5.CVE-2020-14390 CVSS 评分:5.6 中

发现 Linux 内核中的帧缓冲区实现不能正确处理软件回滚中的一些边缘情况。本地攻击者可利用此漏洞造成拒绝服务(系统崩溃)或可能执行任意代码

6.CVE-2020-28915 CVSS 评分:5.5 中

在某些情况下,在 Linux 内核实现中发现它没有正确执行 framebuffer 检查。本地攻击者可利用此漏洞暴露敏感信息(内核内存)。

7.CVE-2020-10135 CVSS 评分:5.4 中

蓝牙协议中的传统配对和安全连接配对身份验证允许未经身份验证的用户通过相邻访问完成身份验证,而无需配对凭据。物理上近邻的攻击者可以利用此来模拟先前配对的蓝牙设备。

8.CVE-2020-25284 CVSS 评分:4.1 低

Linux 内核中的 Rados 块设备(rbd)驱动程序在某些情况下没有正确执行对 rbd 设备的访问权限检查。本地攻击者可以使用此功能映射或取消映射 rbd 块设备。

9.CVE-2020-4788 CVSS 评分:2.9 低

在某些情况下,power9 处理器可能会被迫暴露来自 L1 缓存的信息。本地攻击者可以利用此漏洞来暴露敏感信息

受影响产品和版本

此漏洞影响 Ubuntu 20.04 LTS 和 Ubuntu 18.04 LTS

解决方案

可以通过将系统更新为以下软件包版本来解决此问题:

Ubuntu 20.04:

linux-image-5.4.0-1028-kvm - 5.4.0-1028.29

linux-image-5.4.0-1030-aws - 5.4.0-1030.31

linux-image-5.4.0-1030-gcp - 5.4.0-1030.32

linux-image-5.4.0-1030-oracle - 5.4.0-1030.32

linux-image-5.4.0-1032-azure - 5.4.0-1032.33

linux-image-5.4.0-56-generic - 5.4.0-56.62

linux-image-5.4.0-56-generic-lpae - 5.4.0-56.62

linux-image-5.4.0-56-lowlatency - 5.4.0-56.62

linux-image-aws-5.4.0.1030.31

linux-image-azure-5.4.0.1032.30

linux-image-gcp-5.4.0.1030.38

linux-image-generic-5.4.0.56.59

linux-image-generic-hwe-20.04-5.4.0.56.59

linux-image-generic-lpae-5.4.0.56.59

linux-image-generic-lpae-hwe-20.04-5.4.0.56.59

linux-image-gke-5.4.0.1030.38

linux-image-kvm-5.4.0.1028.26

linux-image-lowlatency-5.4.0.56.59

linux-image-lowlatency-hwe-20.04-5.4.0.56.59

linux-image-oem-5.4.0.56.59

linux-image-oem-osp1-5.4.0.56.59

linux-image-oracle-5.4.0.1030.27

linux-image-virtual-5.4.0.56.59

linux-image-virtual-hwe-20.04-5.4.0.56.59

Ubuntu 18.04:

linux-image-5.4.0-1030-aws - 5.4.0-1030.31〜18.04.1

linux-image-5.4.0-1030-gcp - 5.4.0-1030.32〜18.04.1

linux-image-5.4.0-1030-oracle - 5.4.0-1030.32〜18.04.1

linux-image-5.4.0-1032-azure - 5.4.0-1032.33〜18.04.1

linux-image-5.4.0-56-generic - 5.4.0-56.62〜18.04.1

linux-image-5.4.0-56-generic-lpae - 5.4.0-56.62〜18.04.1

linux-image-5.4.0-56-lowlatency - 5.4.0-56.62〜18.04.1

linux-image-aws-5.4.0.1030.15

linux-image-azure-5.4.0.1032.14

linux-image-gcp-5.4.0.1030.18

linux-image-generic-hwe-18.04-5.4.0.56.62〜18.04.50

linux-image-generic-lpae-hwe-18.04-5.4.0.56.62〜18.04.50

linux-image-lowlatency-hwe-18.04-5.4.0.56.62〜18.04.50

linux-image-oem-osp1-5.4.0.56.62〜18.04.50

linux-image-oracle-5.4.0.1030.14

linux-image-snapdragon-hwe-18.04-5.4.0.56.62〜18.04.50

linux-image-virtual-hwe-18.04-5.4.0.56.62〜18.04.50

查看更多漏洞信息 以及升级请访问官网:

https://ubuntu.com/security/cve

文章价值:
人打分
有价值还可以无价值
置顶评论
    热门评论
      全部评论
      请使用最新版App查看和发表评论
        取消发送
        软媒旗下人气应用

        如点击保存海报无效,请长按图片进行保存分享